=== debian/changelog ===
pyside-mobility (0.2.0-0maemo10) unstable; urgency=low

  * PySide update.

 -- Renato Araujo <renato@renatofilho.indt.org>  Mon, 09 May 2011 14:16:52 -0300

pyside-mobility (0.2.0-0maemo9) unstable; urgency=low

  * Version bump.

 -- Renato Araujo <renato@renatofilho.indt.org>  Fri, 06 May 2011 14:12:49 -0300
