=== debian/rules ===
#!/usr/bin/make -f

# Allow to find Qt 4.6 on Maemo
PATH := /usr/bin/dh7:$(PATH)
export PATH

%:
	dh --with quilt --buildsystem=cmake --parallel $@

LDFLAGS="-Wl,--reduce-memory-overheads"

# Python versions
PYVERSIONS=$(shell pyversions -v -r)
DEFAULT_PY=$(shell pyversions -v -d)


#### CONFIGURE ####

override_dh_auto_configure: $(PYVERSIONS:%=override_dh_auto_configure_dbg-%) $(PYVERSIONS:%=override_dh_auto_configure-%)
	
override_dh_auto_configure_dbg-%:
	mkdir -p build-$*-dbg
	dh_auto_configure --builddirectory=build-$*-dbg -- \
		-DCMAKE_BUILD_TYPE:STRING="Debug" \
		-DCMAKE_SKIP_RPATH=true \
		-DCMAKE_MODULE_PATH="$(shell pwd)/debian/cmake" \
		-DCMAKE_PYTHON_VERSION="$*-dbg;$*" \
		-DCMAKE_PYTHONLIB_VERSION="$*_d;$*" \
		-DPYTHON_BASENAME=python2.5-dbg


override_dh_auto_configure-%:
	mkdir -p build-$*
	dh_auto_configure --builddirectory=build-$* -- \
		-DCMAKE_BUILD_TYPE:STRING="Release" \
		-DCMAKE_SKIP_RPATH=true \
		-DCMAKE_MODULE_PATH="$(shell pwd)/debian/cmake/" \
		-DCMAKE_PYTHON_VERSION=$* \
		-DCMAKE_PYTHONLIB_VERSION=$* \
		-DPYTHON_BASENAME=python2.5

#### BUILD ####

override_dh_auto_build: $(PYVERSIONS:%=override_dh_auto_build_dbg-%) $(PYVERSIONS:%=override_dh_auto_build-%)
	
override_dh_auto_build_dbg-%:
	dh_auto_build --builddirectory=build-$*-dbg

override_dh_auto_build-%:
	dh_auto_build --builddirectory=build-$*

#### INSTALL ####

override_dh_auto_install: $(PYVERSIONS:%=override_dh_auto_install_dbg-%) $(PYVERSIONS:%=override_dh_auto_install-%)
	
override_dh_auto_install_dbg-%:
	dh_auto_install --builddirectory=build-$*-dbg --destdir=debian/tmp-dbg

override_dh_auto_install-%:
	dh_auto_install --builddirectory=build-$*

#### STRIP ####
override_dh_strip:
	dh_strip --dbg-package=python-qtmobility-dbg --exclude=_d.so
		
#### TEST ####

override_dh_auto_test: $(PYVERSIONS:%=override_dh_auto_test_dbg-%) $(PYVERSIONS:%=override_dh_auto_test-%)
	
override_dh_auto_test_dbg-%:
	- dh_auto_test --builddirectory=build-$*-dbg

override_dh_auto_test-%:
	- dh_auto_test --builddirectory=build-$*

#### CLEAN ####

override_dh_auto_clean:
	rm -rf build-*
	cd tests; rm -Rf *.pyc */*.pyc */*/*.pyc */*/*/*.pyc
	rm -rf debian/tmp-dbg
	-find . -name *.py[co] | xargs rm

#### DEBIAN INSTALL ####

override_dh_install: override_dh_install_real

override_dh_install_first:
	# Move the debug .so's right in place
	#$(shell rename 's/(debian\/tmp-dbg\/)(.*)\.so(.*)$$/debian\/tmp\/$$2.so$$3/'\
    #   	debian/tmp-dbg/usr/lib/python*/*-packages/QtMobility/*.so)

	$(shell for i in debian/tmp-dbg/usr/lib/python*/*-packages/QtMobility/*.so; do mv $$i $${i/.so/_d.so}; done)
	$(shell mv debian/tmp-dbg/usr/lib/python*/*-packages/QtMobility/*_d.so \
		debian/tmp/usr/lib/python*/*-packages/QtMobility/)

override_dh_install_real: override_dh_install_first
	# Do the legacy install
	dh_install --list-missing
