## pyside-mobility 0.2.0-0maemo11

=== debian/changelog ===
pyside-mobility (0.2.0-0maemo11) unstable; urgency=low

  * Version bump.

 -- Willer Moreira <willer.moreira@openbossa.org>  Thu, 02 Jun 2011 15:04:23 -0400
