=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Marcelo Lira <marcelo.lira@openbossa.org>
-Build-Depends: debhelper7, cmake (>= 2.6.0), quilt, python-all-dev (>= 2.5.2-3), python-all-dbg (>= 2.5.2-3), python-support (>= 0.3.9), libqt4-dev (>= 4.6), libqtm-dev (>= 1.0.2), libqtm-sensors (>= 1.0.2), shiboken (>= 1.0.2), generatorrunner (>= 0.6.9), libshiboken-dev (>= 1.0.2), python-pyside (>= 1.0.2-1maemo3), libpyside-dev (>= 1.0.2-1maemo3), python-pyside-dbg (>= 1.0.2-1maemo3), shiboken-dbg (>= 1.0.2)
+Build-Depends: debhelper7, cmake (>= 2.6.0), quilt, python-all-dev (>= 2.5.2-3), python-all-dbg (>= 2.5.2-3), python-support (>= 0.3.9), libqt4-dev (>= 4.6), libqtm-dev (>= 1.0.2), libqtm-sensors (>= 1.0.2), shiboken (>= 1.0.3), generatorrunner (>= 0.6.10), libshiboken-dev (>= 1.0.3), python-pyside (>= 1.0.3), libpyside-dev (>= 1.0.3), python-pyside-dbg (>= 1.0.3), shiboken-dbg (>= 1.0.3)
 Standards-Version: 3.8.4
 XS-Python-Version: >= 2.5
 Homepage: http://www.pyside.org/
@@ -44,7 +44,7 @@
 Replaces: pyside-mobility-contacts
 Provides:pyside-mobility-contacts
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore (>= 1.0.2-1maemo3), python-pyside.qtgui (>= 1.0.2-1maemo3)
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore (>= 1.0.3), python-pyside.qtgui (>= 1.0.3)
 Description: Qt Mobility Contacts module - Python bindings
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones.
@@ -55,7 +55,7 @@
 Replaces: pyside-mobility-location
 Provides:pyside-mobility-location
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore (>= 1.0.2-1maemo3)
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore (>= 1.0.3)
 Description: Qt Mobility Location module - Python bindings
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones.
@@ -66,7 +66,7 @@
 Replaces: pyside-mobility-messaging
 Provides:pyside-mobility-messaging
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtgui (>= 1.0.2-1maemo3), python-pyside.qtxml (>= 1.0.2-1maemo3)
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtgui (>= 1.0.3), python-pyside.qtxml (>= 1.0.3)
 Description: Qt Mobility Messaging module - Python bindings
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones.
@@ -77,7 +77,7 @@
 Replaces: pyside-mobility-publishsubscribe
 Provides:pyside-mobility-publishsubscribe
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtnetwork (>= 1.0.2-1maemo3), python-pyside.qtxml (>= 1.0.2-1maemo3)
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtnetwork (>= 1.0.3), python-pyside.qtxml (>= 1.0.3)
 Description: Qt Mobility Publish and Subscribe module - Python bindings
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones.
@@ -88,7 +88,7 @@
 Replaces: pyside-mobility-sensors
 Provides:pyside-mobility-sensors
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore (>= 1.0.2-1maemo3)
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore (>= 1.0.3)
 Description: Qt Mobility Sensors module - Python bindings
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones.
@@ -99,7 +99,7 @@
 Replaces: pyside-mobility-serviceframework
 Provides:pyside-mobility-serviceframework
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore (>= 1.0.2-1maemo3)
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore (>= 1.0.3)
 Description: Qt Mobility Service Framework module - Python bindings
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones.
@@ -110,7 +110,7 @@
 Replaces: pyside-mobility-systeminfo
 Provides:pyside-mobility-systeminfo
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore (>= 1.0.2-1maemo3), python-pyside.qtnetwork (>= 1.0.2-1maemo3)
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore (>= 1.0.3), python-pyside.qtnetwork (>= 1.0.3)
 Description: Qt Mobility SystemInfo module - Python bindings
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones.
@@ -121,7 +121,7 @@
 Replaces: pyside-mobility-versit
 Provides:pyside-mobility-versit
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore (>= 1.0.2-1maemo3), python-pyside.qtgui (>= 1.0.2-1maemo3), python-qtmobility.contacts
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore (>= 1.0.3), python-pyside.qtgui (>= 1.0.3), python-qtmobility.contacts
 Description: Qt Mobility Versit module - Python bindings
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones.
