=== debian/changelog ===
pyside-mobility (0.2.3-3) unstable; urgency=low

  * Add an explicit and tightly versionned dependency on python-
    qtmobility-common to python-qtmobility-dev for Policy compliance.

 -- Didier Raboud <odyx@debian.org>  Wed, 14 Dec 2011 14:05:25 +0100

pyside-mobility (0.2.3-2) unstable; urgency=low

  * Make the debug flavours build optional and don't build them by
    default.

 -- Didier Raboud <odyx@debian.org>  Wed, 14 Dec 2011 10:56:15 +0100

pyside-mobility (0.2.3-1) unstable; urgency=low

  * New upstream release (Closes: #640342).
    - Bump B-Ds on pyside and shiboken to >= 1.0.7.
    - Give the correct python suffix to shiboken configuration.

  * Add PySide.QtNetwork to QtMobility.MultimediaKit's Depends. (Closes:
    #645175)
  * Bump debhelper compat to 9, for auto- buildflags
  * XZ-compress python-qtmobility-dbg, add the needed Pre-Depends on
    dpkg 1.15.6.

 -- Didier Raboud <odyx@debian.org>  Mon, 07 Nov 2011 12:29:28 +0100

pyside-mobility (0.2.2-1) unstable; urgency=low

  * Initial release (Closes: #599917).

 -- Didier Raboud <odyx@debian.org>  Thu, 30 Jun 2011 17:08:23 +0200
