=== debian/control ===
Source: pyside-mobility
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Didier Raboud <odyx@debian.org>
Build-Depends: debhelper (>= 8.9.0~), cmake (>= 2.8.2), dpkg-dev (>= 1.15.6),
 python-all-dev (>= 2.6.6-3~),
 libqt4-dev (>= 4:4.7.0), libphonon-dev, qtmobility-dev (>= 1.0.0),
 libpyside-dev (>= 1.0.9), shiboken (>= 1.0.10), libshiboken-dev (>= 1.0.10),
 python-pyside.qtcore (>= 1.0.9),
 python-pyside.qtgui, python-pyside.qtnetwork,
 xvfb, xauth,
# Various Build-Depends are needed for success of the testsuite:
# python-pyside.qtcore, python-pyside.qtgui. xvfb, xauth
Standards-Version: 3.9.2.0
X-Python-Version: >= 2.6
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyside-mobility/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pyside-mobility/trunk/
Homepage: http://www.pyside.org/

Package: python-qtmobility
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
 python-qtmobility.connectivity (>= ${binary:Version}),
 python-qtmobility.contacts (>= ${binary:Version}),
 python-qtmobility.feedback (>= ${binary:Version}),
 python-qtmobility.gallery (>= ${binary:Version}),
 python-qtmobility.location (>= ${binary:Version}),
 python-qtmobility.messaging (>= ${binary:Version}),
 python-qtmobility.multimediakit (>= ${binary:Version}),
 python-qtmobility.organizer (>= ${binary:Version}),
 python-qtmobility.publishsubscribe (>= ${binary:Version}),
 python-qtmobility.sensors (>= ${binary:Version}),
 python-qtmobility.serviceframework (>= ${binary:Version}),
 python-qtmobility.systeminfo (>= ${binary:Version}),
 python-qtmobility.versit (>= ${binary:Version})
Description: Python bindings for Qt4 Mobility (big metapackage)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Python bindings for Qt4 framework. This is a metapackage for all modules.

Package: python-qtmobility-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-pyside.qtcore (>= 1.0.7), python-pyside.qtgui (>= 1.0.7)
Recommends: python-qtmobility.location (= ${binary:Version}),
 python-qtmobility.sensors (= ${binary:Version})
Description: Python bindings for Qt4 Mobility (common files)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Python bindings for Qt4 framework. This contains the common files.

Package: python-qtmobility-dev
Architecture: any
Priority: extra
Section: libdevel
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-qtmobility-common (= ${binary:Version}),
 libqt4-dev (>= 4.6.2) , libphonon-dev, qtmobility-dev (>= 1.0.0),
 libpyside-dev (>= 1.0.7), libshiboken-dev (>= 1.0.7)
Provides: ${python:Provides}
Description: Python bindings for Qt4 Mobility (devel files)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development files.

Package: python-qtmobility.connectivity
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-qtmobility-common (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt4 Mobility Connectivity - Python bindings 
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the
 QtMobility.Connectivity module.

Package: python-qtmobility.contacts
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-qtmobility-common (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt4 Mobility Contacts - Python bindings 
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the
 QtMobility.Contacts module.

Package: python-qtmobility.feedback
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-qtmobility-common (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt4 Mobility Feedback - Python bindings 
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the
 QtMobility.Feedback module.

Package: python-qtmobility.gallery
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-qtmobility-common (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt4 Mobility Gallery - Python bindings 
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the
 QtMobility.Gallery module.

Package: python-qtmobility.location
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-qtmobility-common (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt4 Mobility Location - Python bindings 
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the
 QtMobility.Location module.

Package: python-qtmobility.messaging
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-qtmobility-common (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt4 Mobility Messaging - Python bindings 
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the
 QtMobility.Messaging module.

Package: python-qtmobility.multimediakit
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-qtmobility-common (= ${binary:Version}), python-pyside.qtnetwork (>= 1.0.7)
Provides: ${python:Provides}
Description: Qt4 Mobility MultimediaKit - Python bindings 
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the
 QtMobility.MultimediaKit module.

Package: python-qtmobility.organizer
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-qtmobility-common (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt4 Mobility Organizer - Python bindings 
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the
 QtMobility.Organizer module.

Package: python-qtmobility.publishsubscribe
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-qtmobility-common (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt4 Mobility Publish and Subscribe - Python bindings 
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the
 QtMobility.PublishSubscribe module.

Package: python-qtmobility.sensors
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-qtmobility-common (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt4 Mobility Sensors - Python bindings 
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the
 QtMobility.Sensors module.

Package: python-qtmobility.serviceframework
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-qtmobility-common (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt4 Mobility Service Framework - Python bindings 
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the
 QtMobility.ServiceFramework module.

Package: python-qtmobility.systeminfo
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-qtmobility-common (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt4 Mobility System Information - Python bindings 
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the
 QtMobility.Systeminfo module.

Package: python-qtmobility.versit
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-qtmobility-common (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt4 Mobility Versit - Python bindings 
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the
 QtMobility.Versit module.
