=== debian/watch ===
version=3
http://www.pyside.org/files/pyside-mobility-([\d\.]*).tar.bz2
